Agent Terminals
Verify and finalize a finished private browser recording upload
Verify and finalize a finished private browser recording upload. The request requires an authenticated caller and enforces terminal ownership, access grants, and activity visibility.
POST
/
api
/
v1
/
vault
/
terminals
/
{agentTerminalId}
/
browser-recordings
/
{recordingId}
/
finalize
Verify and finalize a finished private browser recording upload
curl --request POST \
--url https://api.revoengine.com/api/v1/vault/terminals/{agentTerminalId}/browser-recordings/{recordingId}/finalize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"liveSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({liveSessionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.revoengine.com/api/v1/vault/terminals/{agentTerminalId}/browser-recordings/{recordingId}/finalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/vault/terminals/{agentTerminalId}/browser-recordings/{recordingId}/finalize"
payload = { "liveSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"recordingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storageEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"size": 134217728,
"mimeType": "video/webm"
}Authorizations
Bearer JWT token or API Key (sk-*).
Body
application/json
⌘I
Verify and finalize a finished private browser recording upload
curl --request POST \
--url https://api.revoengine.com/api/v1/vault/terminals/{agentTerminalId}/browser-recordings/{recordingId}/finalize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"liveSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({liveSessionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.revoengine.com/api/v1/vault/terminals/{agentTerminalId}/browser-recordings/{recordingId}/finalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/vault/terminals/{agentTerminalId}/browser-recordings/{recordingId}/finalize"
payload = { "liveSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"recordingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storageEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"size": 134217728,
"mimeType": "video/webm"
}
